## org.eclipse.datatools.enablement.sybase.ui.util
Class ShowSysTableUtil

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ui.util.ShowSysTableUtil

    public class ShowSysTableUtil

extends java.lang.Object

Author:
  Hao-yue

Field Summary
`static java.lang.String` `KEY_NAME`

Constructor Summary
`ShowSysTableUtil()`

Method Summary
`static void` `changeShowSysTableMapEntry(java.lang.String profileName, java.lang.String oldName)`
`static java.lang.String` `getKey(Schema schema)`
`static java.lang.String` `getKeyPrefix(java.lang.String profileName)`
`static java.util.Map` `getShowSysTableMap()`
`static boolean` `isShowSysTableOn(Schema schema)`
`static void` `removeShowSysTableMapEntry(java.lang.String profileName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_NAME

    public static java.lang.String KEY_NAME

Constructor Detail

### ShowSysTableUtil

    public ShowSysTableUtil()

Method Detail

### getKey

    public static java.lang.String getKey(Schema schema)

### getKeyPrefix

    public static java.lang.String getKeyPrefix(java.lang.String profileName)

### getShowSysTableMap

    public static java.util.Map getShowSysTableMap()

### isShowSysTableOn

    public static boolean isShowSysTableOn(Schema schema)

### removeShowSysTableMapEntry

    public static void removeShowSysTableMapEntry(java.lang.String profileName)

### changeShowSysTableMapEntry

    public static void changeShowSysTableMapEntry(java.lang.String profileName,
                                                  java.lang.String oldName)